import { callJsSetFullScreen, callJsReSetFullScreen } from '../msdk/msdk.mjs';
import '@babel/runtime/helpers/typeof';
import '../env/env.mjs';
import '../loader/little-loader.mjs';

/**
 * msdk 浏览器全屏方法，点击外链时可全屏，返回时退出全屏
 * @example
 * ```ts
 * mixins: [getMsdkFullScreen()],
 * ```
 */
function getMsdkFullScreen() {
  return {
    onShow: function onShow() {
      callJsSetFullScreen();
    },
    methods: {
      callJsReSetFullScreen: function callJsReSetFullScreen$1() {
        callJsReSetFullScreen();
      }
    }
  };
}

export { getMsdkFullScreen };
